PluginPackager (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins.publishing

## [Groovy] Class PluginPackager

- org.codehaus.groovy.grails.plugins.publishing.PluginPackager

- Packages a plugin in source or binary form.

  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.Object` | `EXCLUDED_RESOURCES` |
    `static java.lang.Object` | `INCLUDED_RESOURCES` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GrailsBuildEventListener` | `eventListener`
    `BuildSettings` | `grailsSettings`
    `boolean` | `hasApplicationDependencies`
    `java.util.List<java.io.File>` | `jarFiles`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PluginPackager (BuildSettings buildSettings, java.lang.Object pluginInfo, Resource[] resourceList, java.io.File projectWorkDir, GrailsBuildEventListener eventListener, BuildSettings grailsSettings)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected java.lang.Object` | `findIncludesAndExcludes(java.lang.Object pluginProps)`
    `java.lang.Object` | `generatePluginXml(java.io.File descriptor)` Generates the plugin.xml file for the plugin descriptor
    `groovy.util.AntBuilder` | `getAnt()`
    `java.io.File` | `getBasedir()`
    `java.io.File` | `getResourcesDir()`
    `java.lang.String` | `packageBinary(java.lang.String pluginName, java.io.File classesDir, java.io.File targetDir)`
    `java.lang.Object` | `packagePlugin(java.lang.String pluginName, java.io.File classesDir, java.io.File targetDir)`
    `java.lang.String` | `packageSource(java.lang.String pluginName, java.io.File classesDir, java.io.File targetDir)`
    `protected void` | `runResourcesClosure(java.io.File stagingDir)` ", "*
    `void` | `setAnt(groovy.util.AntBuilder ant)`
    `void` | `setResourcesDir(java.io.File resourcesDir)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.Object EXCLUDED_RESOURCES

    - #### public static final java.lang.Object INCLUDED_RESOURCES

  - ### Property Detail

    - #### GrailsBuildEventListener eventListener

    - #### BuildSettings grailsSettings

    - #### boolean hasApplicationDependencies

    - #### java.util.List<java.io.File> jarFiles

  - ### Constructor Detail

    - #### PluginPackager(BuildSettings buildSettings, java.lang.Object pluginInfo, Resource[] resourceList, java.io.File projectWorkDir, GrailsBuildEventListener eventListener, BuildSettings grailsSettings)

  - ### Method Detail

    - #### protected java.lang.Object findIncludesAndExcludes(java.lang.Object pluginProps)

    - #### java.lang.Object generatePluginXml(java.io.File descriptor)

      Generates the plugin.xml file for the plugin descriptor

      Parameters:
        `descriptor` - The descriptor
      Returns:
        The plugin properties

    - #### groovy.util.AntBuilder getAnt()

    - #### java.io.File getBasedir()

    - #### java.io.File getResourcesDir()

    - #### java.lang.String packageBinary(java.lang.String pluginName, java.io.File classesDir, java.io.File targetDir)

    - #### java.lang.Object packagePlugin(java.lang.String pluginName, java.io.File classesDir, java.io.File targetDir)

    - #### java.lang.String packageSource(java.lang.String pluginName, java.io.File classesDir, java.io.File targetDir)

    - #### protected void runResourcesClosure(java.io.File stagingDir)

      ", "*

    - #### void setAnt(groovy.util.AntBuilder ant)

    - #### void setResourcesDir(java.io.File resourcesDir)